From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/magic/
Date: Sun, 24 Apr 2022 07:06:26 +0000 (UTC) [thread overview]
Message-ID: <1650783978.0e7f42f98fee0d61db04a14f6786b806654d0c6b.graaff@gentoo> (raw)
commit: 0e7f42f98fee0d61db04a14f6786b806654d0c6b
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 09:57:30 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Apr 24 07:06:18 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e7f42f9
dev-ruby/magic: update EAPI 6 -> 8, add ruby31
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/magic/magic-0.2.9-r2.ebuild | 35 +++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/dev-ruby/magic/magic-0.2.9-r2.ebuild b/dev-ruby/magic/magic-0.2.9-r2.ebuild
new file mode 100644
index 000000000000..0640c4315f96
--- /dev/null
+++ b/dev-ruby/magic/magic-0.2.9-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="magic.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+inherit ruby-fakegem
+
+SRC_URI="https://github.com/qoobaa/magic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="Ruby FFI bindings to libmagic"
+HOMEPAGE="https://github.com/qoobaa/magic"
+
+IUSE="test"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND+="sys-apps/file"
+DEPEND+="test? ( sys-apps/file )"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"
+ruby_add_rdepend "dev-ruby/ffi"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -Itest test/test_magic.rb || die
+}
next reply other threads:[~2022-04-24 7:06 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-24 7:06 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-03 5:55 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/magic/ Hans de Graaff
2024-01-01 9:32 Hans de Graaff
2023-09-16 4:23 Hans de Graaff
2023-03-17 6:59 Hans de Graaff
2021-04-02 11:16 Hans de Graaff
2020-07-26 9:15 Hans de Graaff
2019-01-24 6:33 Hans de Graaff
2018-12-04 5:41 Hans de Graaff
2018-09-07 6:13 Hans de Graaff
2018-02-04 15:15 Hans de Graaff
2016-08-31 5:44 Hans de Graaff
2016-04-19 21:54 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1650783978.0e7f42f98fee0d61db04a14f6786b806654d0c6b.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox